Name:           validator
Version:        0.2.2
Release:        13%{?dist}
Summary:        Tool to install and validate signed files

License:        LGPL-2.1-or-later
URL:            https://github.com/containers/validator
Source0:        https://github.com/containers/validator/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch0:         0001-Add-debugging-logging.patch

BuildRequires:  gcc automake openssl-devel glib2-devel
BuildRequires:  golang-github-cpuguy83-md2man

%description
Tool to sign, validate and install files.

%prep
%autosetup

%build
%configure \
           --with-dracut \
           --enable-man
%make_build

%install
%make_install

%files
%license COPYING
%doc README.md
%{_bindir}/validator
%{_prefix}/lib/validator
%{_sysconfdir}/validator
%dir %{_prefix}/lib/dracut/modules.d/98validator
%{_prefix}/lib/dracut/modules.d/98validator/*
%{_mandir}/man*/*

%changelog
* Fri Aug 23 2024 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2.2-13
- Drop wrong patch for handling symlinks
- Update the debugging logging patch

* Wed Aug 21 2024 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2.2-12
- Update path fixing handling symlinked directory

* Wed Jul 31 2024 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2.2-11
- Re-enable the dracut module

* Tue Jul 30 2024 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2.2-10
- Backport patch fixing installing from a symlinked directory
- Drop the dracut module

* Mon Jul 29 2024 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2.2-9
- rebuilt

* Fri Jul 26 2024 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2.2-8
- rebuilt

* Fri Jul 26 2024 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2.2-7
- rebuilt

* Fri Jul 26 2024 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2.2-6
- rebuilt

* Fri Jul 26 2024 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2.2-5
- bump

* Fri Jul 26 2024 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2.2-4
- Add patch to increase debugging info
- Drop debugging to dracut
- Drop changes to unit-file

* Thu Jul 25 2024 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2.2-3
- Run validator in verbose mode

* Thu Jul 25 2024 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2.2-2
- Increase logging in unit file
- Add some debugging to dracut module

* Mon Oct 23 2023 Alexander Larsson <alexl@redhat.com>
- Initial version
